[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDatabase.EndTransaction

End an active transaction.

## Declaration

Source position: db.pas line 1921

`public procedure TDatabase.EndTransaction; virtual; abstract;`

## Description

EndTransaction must be implemented by descendent classes to end an active transaction. This method is provided for Delphi compatibility: new applications shoud use a TDBTransaction component instead and invoke the TDBTransaction.EndTransaction method.

## See also

TDBTransaction |  | Encapsulate a transaction
TDBTransaction.EndTransaction

The latest version of this document can be found at lazarus-ccr.sourceforge.net .